QGIS Application - Bug report #13291

default project in qgis_mapserv.fcgi's directory is no longer read

2015-08-31 04:39 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Alessandro Pasotti
Category: QGIS Server

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No

Copied to github as #: 21349

Description

QGIS Server used to read by default (without specifying the "map" parameter) the project where qgis_mapserv.fcgi (or copies of) is.

This is not the case anymore on QGIS master.

Associated revisions

Revision d19165b7 - 2015-10-15 06:23 PM - Larry Shaffer

[server] Fix #13291; reinstate default project read in fcgi directory

- Ensure no reassignment of mConfigFilePath by MAP parameter or from
QGIS_PROJECT _FILE env var

Revision 689cbad8 - 2016-02-24 07:34 PM - Alessandro Pasotti

[budfix][server] Fixes #13291

Revision b0269bea - 2016-02-25 08:29 AM - Alessandro Pasotti

Merge pull request #2836 from elpaso/bugfix-13291

[budfix][server] Fixes #13291

History

#1 - 2015-10-05 04:42 AM - Jiirgen Fischer

- Subject changed from QGIS Server maser do not read anymore by default the project where qgis_mapserv.fcgi is to default project in

qgis_mapserv.fcgi's directory is no longer read
#2 - 2015-10-14 06:16 PM - Larry Shaffer
- Assignee set to Larry Shaffer

- Target version changed from Future Release - High Priority to Version 2.12

#3 - 2015-10-15 09:24 AM - Larry Shaffer
- Status changed from Open to Closed
Fixed in changeset commit:"d19165b7c94734d344c6b9c4510910cfd8bbba7e".

#4 - 2015-10-29 12:01 AM - Henrik Uggla
- Status changed from Closed to Reopened
- Target version changed from Version 2.12 to Future Release - High Priority

| create new project with one postgis layer and save it as /usr/lib/cgi-bin/test.qgs. Same directory as qgis_mapserv.fcgi and no other .qgs-files present. |
restart apache and clear browser cache before | request http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;REQUEST=GetCapabilities,

which gives me:
<ServiceExceptionReport version="1.3.0" xmIns="http://www.opengis.net/ogc">

<ServiceException code="WMS configuration error">There was an error reading the project file or the SLD configuration</ServiceException>

</ServiceExceptionReport>

Requesting http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;REQUEST=GetCapabilities&#38;map=test.qgs works.

I'm using Qgis Server 2.12, with Ubuntugis dependencies, on Ubuntu 12.04.

#5 - 2015-10-29 08:39 AM - Larry Shaffer

Giovanni, can you verify this still occurs, using v2.12, with your setup?

Henrik, | can not replicate this on my Mac setup that uses lighttpd. Will try and set up a standard Qgis Server 2.12, with UbuntuGIS dependencies, on

Ubuntu 12.04 under apache2. Thank you for submitting a followup report to the mailing list conversation.

#6 - 2015-10-29 08:39 AM - Larry Shaffer

- Status changed from Reopened to Feedback

#7 - 2015-10-31 09:50 AM - Giovanni Manghi

- Status changed from Feedback to Open

Hi Larry,

thanks for looking into this.

Is still broken for me under the latest master on Ubuntu 14.04.

| would really appreciate if you could have a look also into #13293

Not that | suggest users to use Windows servers, but many of them that need to give QGIS server an evaluation are Windows users, at least on their

desktops.

Thanks in advance.

#8 - 2016-01-31 10:22 AM - Giovanni Manghi
- Assignee deleted (Larry Shaffer)
http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;REQUEST=GetCapabilities
http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;REQUEST=GetCapabilities&#38;map=test.qgs

- Target version changed from Future Release - High Priority to Version 2.14

Still true on latest master.

#9 - 2016-02-18 01:04 PM - Etienne Trimaille

| can confirm too on the latest master. | need to put ?MAP=".qgs in my request.

#10 - 2016-02-20 10:36 PM - clifford snow

I am running Ubuntu 15.10 with the same issue. This is a new installation of qgis server and apache.

#11 - 2016-02-24 07:42 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti
#12 - 2016-02-24 11:30 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"b0269beac489f9339064d6b42734abc272fc0db6".
